*********************************************
*  Replication code
*  Rumor, Kinship Networks, and Rebel Group Formation
*  Online Appendix  Section 2
*  July 2017
******************************************


* REBEL LAUNCH ANALYSIS
* Replicates Online Appendix Table 5
* all analyses in Stata

* use launch_repdata.dta"

* Model 1. 
logit firstattack eth_excl_weighted elf elev_range_km forest log_popdensity_91 log_distance_border povertyline_91 perclit_91 prior_nrm western eastern northern, cluster(region) r

* Mode1 2. 
logit firstattack eth_excl_weighted2 elf elev_range_km forest log_popdensity_91 log_distance_border povertyline_91 perclit_91 prior_nrm western eastern northern, cluster(region) r

* Model 3 
logit firstattack eth_excl_weighted elf elev_range_km forest log_popdensity_91 contig_border povertyline_91 perclit_91 log_distance_kampala western eastern northern, cluster(region) r

* Model 4.  
logit firstattack elf elev_range_km forest log_popdensity_91 log_distance_border prior_nrm western eastern northern, cluster(region) r

* Model 5. 
logit firstattack elf elev_range_km forest log_popdensity_91 contig_border log_distance_kampala western eastern northern, cluster(region) r

*Model 6. 
logit firstattack elf elev_range_km forest log_popdensity_91 contig_border povertyline_91 log_distance_kampala western eastern northern, cluster(region) r

*Model 7. 
logit firstattack elf elev_range_km forest log_popdensity_91 contig_border perclit_91 log_distance_kampala western eastern northern, cluster(region) r


* estimating quantities of interest (using Clarify):

estsimp logit firstattack eth_excl_weighted elf elev_range_km forest log_popdensity_91 contig_border povertyline_91 perclit_91 log_distance_kampala western eastern northern

setx mean

simqi, fd(prval(1)) changex(perclit_91 p25 p75)

simqi, fd(prval(1)) changex(contig_border 0 1)

clear



* REBEL VIABILITY ANALYSIS
* Replicates Online Appendix Table 7

* use viability_repdata.dta

* Model 1
reg viable elf, r
* also signif using eth_maj in place of elf

* Model 2
reg viable elf elev_range, r
 
* Model 3
reg viable elf forest, r

* Model 4
reg viable elf log_popdensity_91, r

* Model 5
reg viable elf log_distance_border, r

* Model 6
reg viable elf perclit_91, r

* Model 7
reg viable elf povertyline_91, r
* also signif at 10.1% level when using povertygap_91

* Model 8 
reg viable elf state, r
* similar results using logged distance to Kampala

* Model 9 
reg viable elf eth_excl_weighted, r

clear
